Please add museumcommons.wikimedia.nl to GW toolset whitelist
Closed, ResolvedPublic

Description

Could the domain museumcommons.wikimedia.nl for https://museumcommons.wikimedia.nl/ be whitelisted for the GW Toolset?

It will be used to upload 572 images donated by the Museum Catharijneconvent in the Netherlands as part of their ongoing partnership with Wikimedia Nederland.

I will carry out this upload as part of a training in the GW toolset and will be assisted where necessary by Hans Muller, who is an experienced GWToolset user.

Regards,

Arne Wossink, project lead for Wikimedia Nederland

AWossink created this task.Apr 5 2016, 1:22 PM
Restricted Application added subscribers: JEumerus, Steinsplitter, Matanya, Aklapper. · View Herald TranscriptApr 5 2016, 1:22 PM
MarcoAurelio triaged this task as Normal priority.
MarcoAurelio added a subscriber: MarcoAurelio.
Fae added a subscriber: Fae.Apr 5 2016, 5:03 PM

Is there a project page that explains why the chapter website is being used for training?

I'm not against this domain being white-listed, but putting on the hat of a GWT user who is likely to be a GLAM professional, it would seem more useful to be introduced to beta commons where new users can try out the tool using their own test account, along with example files from a real site, such as a test set of image on a GLAM Flickr stream, one of our classic examples like the Rijksmuseum, or one of the users own organization(s).

MarcoAurelio added a revision: Restricted Differential Revision.Apr 5 2016, 5:24 PM

Change 281700 had a related patch set uploaded (by MarcoAurelio):
Adding museumcommons.wikimedia.nl on $wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/281700

Dereckson added a subscriber: Dereckson.EditedApr 6 2016, 8:32 PM

@AWossink Could you answer the Fæ question? We need some support from Wikimedia Commons community to proceed, and Fæ is a contributor involved in GLAM uploads there.

Hi Fae,

I may have phrased that a little bit unclear. I will test on the beta website first before proceeding with the real upload. I just wanted to make clear that, while this is my first upload with GWT, I am in contact with an experienced user who can give feedback during the process.

Hope that makes sense!

Best,

Arne Wossink

Fae added a comment.Apr 8 2016, 11:18 AM

@AWossink Thanks for the reply. Even for a modest 500-ish images, as the intention is for an ongoing partnership, please consider running an on-Commons project page to help with future feedback and to help working collegiately with Commonsists. There are many examples under https://commons.wikimedia.org/wiki/Commons:Batch_uploading or if you have several partnerships you want to collect together and maintain under your own area, like I do with https://commons.wikimedia.org/wiki/User:Fæ/Project_list. Drop a note on the GLAMtools email list if you set something up.

Small note about planification.

We won't deploy changes the week of April 18th, so ideally this should be sorted between Monday and Thursday next week. When is the GWT training workshop?

@MarcoAurelio I think we can include this change for SWAT as soon as @AWossink gives us the URL of the project page created on Commons, per last Fae comment.

MarcoAurelio removed MarcoAurelio as the assignee of this task.Apr 9 2016, 10:11 AM

That'd require you remove your -1 on the patch @Dereckson. Anyway, I'm resigning from working on this task due to avalaibility problems.

Dereckson added a comment.EditedApr 9 2016, 11:40 AM

Anyway, I'm resigning from working on this task due to avalaibility problems.

Okay, if you're not available next week, I'll take care to deploy it.

@AWossink Thanks for the reply. Even for a modest 500-ish images, as the intention is for an ongoing partnership, please consider running an on-Commons project page to help with future feedback and to help working collegiately with Commonsists. There are many examples under https://commons.wikimedia.org/wiki/Commons:Batch_uploading or if you have several partnerships you want to collect together and maintain under your own area, like I do with https://commons.wikimedia.org/wiki/User:Fæ/Project_list. Drop a note on the GLAMtools email list if you set something up.

Once done, please edit the task description to add the link.

Dereckson lowered the priority of this task from Normal to Low.Apr 12 2016, 1:00 AM
Dereckson added a comment.EditedApr 14 2016, 1:09 PM

@AWossink We have next week a code freeze, without deployment windows for config changes. So, if you need this before end April, please give us an update as soon as possible (before this night 1:00 CEST).

Restricted Application added a subscriber: Poyekhali. · View Herald TranscriptApr 14 2016, 1:09 PM
Dereckson raised the priority of this task from Low to Normal.Apr 14 2016, 1:35 PM

Change 283439 had a related patch set uploaded (by Dereckson):
Add museumcommons.wikimedia.nl to $wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/283439

Change 283439 abandoned by Dereckson:
Add museumcommons.wikimedia.nl to $wgCopyUploadsDomains

Reason:
Ie689fd013f66fa8b9e2c0929f8391c4d2c58d9d4

https://gerrit.wikimedia.org/r/283439

Change 281700 merged by jenkins-bot:
Adding museumcommons.wikimedia.nl on $wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/281700

Mentioned in SAL [2016-04-14T15:33:04Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Add museumcommons.wikimedia.nl to wgCopyUploadsDomains (T131841) (duration: 00m 26s)